# $Revision: 1.35 $, $Date: 2010/01/19 12:58:48 $
#
# TODO: include /usr/share/griffith/lib/db/*.py[co] files?
#
# Conditional build:
%bcond_without gtkspell    # don't build with spell checker
#
%define	artworkver	0.9.4
#
Summary:	griffith - film collection manager
Summary(pl.UTF-8):	griffith - program katalogujący filmy
Name:		griffith
Version:	0.11
Release:	1
License:	GPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://launchpad.net/griffith/trunk/0.11/+download/%{name}-%{version}.tar.gz
# Source0-md5:	f7ba19baf9cf1a553b7a4f0692f79430
Source1:	http://download.berlios.de/griffith/%{name}-extra-artwork-%{artworkver}.tar.gz
# Source1-md5:	a18f9f900dc467f8ee801bb70776072f
Source2:	%{name}.desktop
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-env_python.patch
Patch2:		%{name}-plugin.patch
URL:		http://www.griffith.cc/
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-pygtk-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.234
%pyrequires_eq	python-modules
Requires:	gtk+2 >= 2:2.6.0
Requires:	python-PIL
Requires:	python-PyXML
Requires:	python-ReportLab
Requires:	python-SQLAlchemy
%{?with_gtkspell:Requires: python-gnome-extras-gtkspell}
Requires:	python-gnome-gconf
Requires:	python-pygtk-gtk >= 2:2.6.0
Requires:	python-sqlite >= 2.0.0
#Suggests:	python-gnome-extras
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
Griffith is a movie collection manager application.

%description -l pl.UTF-8
Griffith to program służący do katalogowania i zarządzania kolekcją
filmów.

%package extra-artwork
Summary:	Extra graphic files
Summary(pl.UTF-8):	Dodatkowe plik graficzne
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-extra-artwork = %{artworkver}-%{release}

%description extra-artwork
More graphic files.

%description extra-artwork -l pl.UTF-8
Dodatkowe pliki graficzne.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv griffith-extra-artwork-%{artworkver}/images/*.png images/

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

ln -fs %{_datadir}/%{name}/lib/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install data/%{name}.png $RPM_BUILD_ROOT%{_pixmapsdir}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_postclean %{_datadir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README AUTHORS ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lib
#%%dir %{_datadir}/%{name}/lib/sqlalchemy
#%%{_datadir}/%{name}/lib/sqlalchemy/*.py[co]
#%%dir %{_datadir}/%{name}/lib/sqlalchemy/databases
#%%{_datadir}/%{name}/lib/sqlalchemy/databases/*.py[co]
#%%dir %{_datadir}/%{name}/lib/sqlalchemy/engine
#%%{_datadir}/%{name}/lib/sqlalchemy/engine/*.py[co]
#%%dir %{_datadir}/%{name}/lib/sqlalchemy/ext
#%%{_datadir}/%{name}/lib/sqlalchemy/ext/*.py[co]
#%%dir %{_datadir}/%{name}/lib/sqlalchemy/mods
#%%{_datadir}/%{name}/lib/sqlalchemy/mods/*.py[co]
#%%dir %{_datadir}/%{name}/lib/sqlalchemy/orm
#%%{_datadir}/%{name}/lib/sqlalchemy/orm/*.py[co]
%attr(755,root,root) %{_datadir}/%{name}/lib/%{name}
%{_datadir}/%{name}/lib/*.py[co]
%dir %{_datadir}/%{name}/export_templates
%dir %{_datadir}/%{name}/export_templates/csv/
%{_datadir}/%{name}/export_templates/csv/*
%dir %{_datadir}/%{name}/export_templates/html_tables/
%{_datadir}/%{name}/export_templates/html_tables/*
%dir %{_datadir}/%{name}/export_templates/html_table/
%{_datadir}/%{name}/export_templates/html_table/*
%dir %{_datadir}/%{name}/export_templates/latex/
%{_datadir}/%{name}/export_templates/latex/*
%dir %{_datadir}/%{name}/export_templates/xml/
%{_datadir}/%{name}/export_templates/xml/*
%dir %{_datadir}/%{name}/glade
%{_datadir}/%{name}/glade/*.glade
%{_datadir}/%{name}/glade/*.png
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/00.png
%{_datadir}/%{name}/images/01.png
%{_datadir}/%{name}/images/010.png
%{_datadir}/%{name}/images/02.png
%{_datadir}/%{name}/images/03.png
%{_datadir}/%{name}/images/04.png
%{_datadir}/%{name}/images/05.png
%{_datadir}/%{name}/images/06.png
%{_datadir}/%{name}/images/07.png
%{_datadir}/%{name}/images/08.png
%{_datadir}/%{name}/images/09.png
%{_datadir}/%{name}/images/default.png
%{_datadir}/%{name}/images/default_thumbnail.png
%{_datadir}/%{name}/images/griffith.png
%{_datadir}/%{name}/images/meter00.png
%{_datadir}/%{name}/images/meter01.png
%{_datadir}/%{name}/images/meter010.png
%{_datadir}/%{name}/images/meter02.png
%{_datadir}/%{name}/images/meter03.png
%{_datadir}/%{name}/images/meter04.png
%{_datadir}/%{name}/images/meter05.png
%{_datadir}/%{name}/images/meter06.png
%{_datadir}/%{name}/images/meter07.png
%{_datadir}/%{name}/images/meter08.png
%{_datadir}/%{name}/images/meter09.png
%{_datadir}/%{name}/images/nill.png
%{_datadir}/%{name}/images/seen.png
%{_datadir}/%{name}/images/unseen.png
%dir %{_datadir}/%{name}/lib/db
%dir %{_datadir}/%{name}/lib/plugins
%dir %{_datadir}/%{name}/lib/plugins/movie
%dir %{_datadir}/%{name}/lib/plugins/export
%dir %{_datadir}/%{name}/lib/plugins/extensions
%dir %{_datadir}/%{name}/lib/plugins/imp
%{_datadir}/%{name}/lib/db/*.py[co]
%{_datadir}/%{name}/lib/plugins/*.py[co]
%{_datadir}/%{name}/lib/plugins/movie/*.py[co]
%{_datadir}/%{name}/lib/plugins/export/*.py[co]
%{_datadir}/%{name}/lib/plugins/extensions/*.py[co]
%{_datadir}/%{name}/lib/plugins/imp/*.py[co]
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%{_pixmapsdir}/%{name}.xpm
%{_mandir}/*/man?/*
%{_mandir}/man1/*

%files extra-artwork
%defattr(644,root,root,755)
%{_datadir}/%{name}/images/PluginMovie*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: griffith.spec,v $
Revision 1.35  2010/01/19 12:58:48  lisu
- switch Source0 URL to launchpad.net, md5 up

Revision 1.34  2010/01/19 12:34:29  lisu
- updated to 0.11
- add extensions to plugins
- works

Revision 1.33  2009/12/06 18:30:29  sparky
- BR: rpm-pythonprov

Revision 1.32  2009/12/06 18:27:59  charles
- updated %files (anyone at all check if it works?)

Revision 1.31  2009/08/10 22:13:50  hawk
- fixed griffith-0.10-1: req /usr/share/griffith/lib not found

Revision 1.30  2009/08/04 07:30:46  lisu
- up to 0.10
- DEVEL merge

Revision 1.29.2.1  2009/07/20 08:31:00  lisu
- updated to 0.10-rc1
- sqlalchemy doesn't appeared in this version
- TODO

Revision 1.29  2009/06/29 08:52:49  lisu
- new URL

Revision 1.28  2009/06/22 07:32:56  lisu
- 0.9.10
- sorted Rs

Revision 1.27  2009/03/28 19:02:36  duddits
- up to 0.9.9, artwork 0.9.4
- %files

Revision 1.26  2007/07/04 13:51:51  wolvverine
- up to 0.9.3.1

Revision 1.25  2007/02/20 20:40:26  teodor
- up to 0.9 stable, (brr tried to merge from DEVEL)

Revision 1.24  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.22  2007/01/01 11:46:22  arekm
- rel 2

Revision 1.21  2006/10/20 16:29:36  sls
- req: python-Imaging renamed to python-PIL

Revision 1.20  2006/08/16 14:49:42  teodor
- up to 0.6.2

Revision 1.19  2006/05/28 22:34:06  teodor
- added patch wich fixing error with not loading plugins after py_comp

Revision 1.18  2006/05/22 17:40:38  glen
- compile all python files

Revision 1.17  2006/05/22 17:37:49  glen
- also %py_ocomp

Revision 1.16  2006/05/22 17:34:54  glen
- use %py_postclean macro

Revision 1.15  2006/05/21 20:01:27  teodor
- up to 0.6.1
- using py_compile
- patch changes /usr/bin/env -> /usr/bin/python

Revision 1.14  2006/03/12 18:16:32  qboosh
- cosmetics

Revision 1.13  2006/03/11 17:58:44  teodor
- moved extra-artwork to subpackage
- added bcond for gtkspell

Revision 1.12  2006/03/07 16:21:56  wolf
- 0.6
- add extra artwork

Revision 1.11  2006/02/21 15:08:18  glen
- restore suggests tag

Revision 1.10  2006/02/20 15:40:04  teodor
- remove R: python-gstreamer

Revision 1.9  2006/02/19 21:14:59  qboosh
- files fix, cosmetics

Revision 1.8  2006/02/19 20:34:21  glen
- gtkspell support not available - please install python-gnome-extras

Revision 1.7  2006/02/19 20:32:02  glen
- noarch, lib64 safe

Revision 1.6  2006/02/19 20:24:45  glen
- use dropin

Revision 1.5  2006/02/19 20:05:28  qboosh
- wrrr, Source0 is wget-unfriendly

Revision 1.4  2006/02/19 19:59:18  qboosh
- once more, killed files dups (may need fix)

Revision 1.3  2006/02/19 19:33:39  glen
- md5 fix

Revision 1.2  2006/02/19 14:02:04  teodor
- added missing patch
- fixed broken source

Revision 1.1  2006/02/19 13:51:11  teodor
- init version
